Bug Hunting Session
Bug 55466 - Problem with bottom edge in merged cells in xls format
Summary: Problem with bottom edge in merged cells in xls format
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2012-09-30 09:59 UTC by kosmaty
Modified: 2019-05-13 12:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Described problem for cell B31 with bottom edge (5.50 KB, application/vnd.ms-excel)
2012-09-30 09:59 UTC, kosmaty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kosmaty 2012-09-30 09:59:08 UTC
Created attachment 67875 [details]
Described problem for cell B31 with bottom edge

Problem description: 

Steps to reproduce:
1. merge cels from B31 to F40
2. set all edges to cell B31
3. save as XLS 97/2000/XP/2003 format

Current behavior:
After reopen cell B31 does not have a bottom edge

Expected behavior:
After reopen cell B31 should have a all edges

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:15.0) Gecko/20100101 Firefox/15.0.1
Comment 1 A (Andy) 2013-03-01 23:08:34 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

Steps Done:
1. Opened Spreadsheet
2. Selected B31 to F40
3. Right mouse click and chosen MERGE CELLS
4. Selected the merged cells
5. Selected CELLS from the menu FORMAT
6. Went to the tab BORDERS and selected ALL borders
7. Saved as xls and closed
8. Reopened 

When opened with MSO 2007 the borders are also buggy.  The bottom edge is missing and in addition the residual borders are only found in row 31. 

The same bug appears when saved as a xlsx file.
Comment 2 QA Administrators 2015-02-19 15:43:01 UTC Comment hidden (obsolete)
Comment 3 kosmaty 2015-02-19 19:59:56 UTC
Bug still exists in this version LibreOffice: 4.4.0.3
OS: MS Windows 8.1 64bit
Comment 4 QA Administrators 2016-02-21 08:37:24 UTC Comment hidden (obsolete)
Comment 5 kosmaty 2016-02-27 06:24:20 UTC
Bug still exists in this version LibreOffice: 5.1.0.3
OS: MS Windows 10 Pro 64bit
Comment 6 QA Administrators 2017-03-06 15:49:30 UTC Comment hidden (obsolete)
Comment 7 kosmaty 2017-03-06 19:57:51 UTC
Bug still exists in this version LibreOffice: 5.3.0.3
OS: MS Windows 10 Pro 64bit
Comment 8 QA Administrators 2018-06-04 02:34:47 UTC Comment hidden (obsolete)
Comment 9 Timur 2019-05-13 12:06:30 UTC
Repro 5.3 and no repro 6.3+. Fixed before. So I close as WFM